function getSetting(name) {
  if (window.widget && widget.preferenceForKey) {
    return unescape(widget.preferenceForKey(name).match(/[^;]*/));  
  } else {
    var dc = document.cookie;
    // find beginning of cookie value in document.cookie
    var prefix = name + "=";
    var begin = dc.indexOf("; " + prefix);
    if (begin == -1) {
        begin = dc.indexOf(prefix);
        if (begin != 0) return null;
    }
    else begin += 2;
    // find end of cookie value
    var end = document.cookie.indexOf(";", begin);
    if (end == -1) end = dc.length;
    // return cookie value
    return unescape(dc.substring(begin + prefix.length, end));
  }
}


function setSetting(name,value,expires,path,domain,secure){
	  if (expires) {
	  expires = expires.toGMTString();
	  }
	  var date = new Date();
		date.setTime(date.getTime()+(1000*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
		

     if (window.widget && widget.setPreferenceForKey) {
       widget.setPreferenceForKey(escape(value) + 
                      ((expires) ? "; "+ expires : "") +
                      ((path) ? "; path=" + path : "") +
                      ((domain) ? "; domain=" + domain : "") +
                      ((secure) ? "; secure" : ""),name);
     } else {


		
    document.cookie = name + "=" + escape(value) + "; "+ expires +
                      ((path) ? "; path=" + path : "") +
                      ((domain) ? "; domain=" + domain : "") +
                      ((secure) ? "; secure" : "");
     }
}
